package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Log Notification List
 */
@ApiModel(description = "Log Notification List")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class LogNotificationOpenApiVo   {
  @JsonProperty("key")
  private String key;

  @JsonProperty("shortMsg")
  private String shortMsg;

  @JsonProperty("alert")
  private Boolean alert;

  @JsonProperty("event")
  private Boolean event;

  @JsonProperty("email")
  private Boolean email;

  @JsonProperty("webhook")
  private Boolean webhook;

  public LogNotificationOpenApiVo key(String key) {
    this.key = key;
    return this;
  }

  /**
   * Log Notification Key
   * @return key
  */
  @ApiModelProperty(value = "Log Notification Key")


  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public LogNotificationOpenApiVo shortMsg(String shortMsg) {
    this.shortMsg = shortMsg;
    return this;
  }

  /**
   * Log Notification Short Message
   * @return shortMsg
  */
  @ApiModelProperty(value = "Log Notification Short Message")


  public String getShortMsg() {
    return shortMsg;
  }

  public void setShortMsg(String shortMsg) {
    this.shortMsg = shortMsg;
  }

  public LogNotificationOpenApiVo alert(Boolean alert) {
    this.alert = alert;
    return this;
  }

  /**
   * Log Notification Enable or Disable Alert
   * @return alert
  */
  @ApiModelProperty(value = "Log Notification Enable or Disable Alert")


  public Boolean getAlert() {
    return alert;
  }

  public void setAlert(Boolean alert) {
    this.alert = alert;
  }

  public LogNotificationOpenApiVo event(Boolean event) {
    this.event = event;
    return this;
  }

  /**
   * Log Notification Enable or Disable Event
   * @return event
  */
  @ApiModelProperty(value = "Log Notification Enable or Disable Event")


  public Boolean getEvent() {
    return event;
  }

  public void setEvent(Boolean event) {
    this.event = event;
  }

  public LogNotificationOpenApiVo email(Boolean email) {
    this.email = email;
    return this;
  }

  /**
   * Log Notification Enable or Disable Email
   * @return email
  */
  @ApiModelProperty(value = "Log Notification Enable or Disable Email")


  public Boolean getEmail() {
    return email;
  }

  public void setEmail(Boolean email) {
    this.email = email;
  }

  public LogNotificationOpenApiVo webhook(Boolean webhook) {
    this.webhook = webhook;
    return this;
  }

  /**
   * Log Notification Enable or Disable Webhook (This config applies to the Omada Pro Controller only)
   * @return webhook
  */
  @ApiModelProperty(value = "Log Notification Enable or Disable Webhook (This config applies to the Omada Pro Controller only)")


  public Boolean getWebhook() {
    return webhook;
  }

  public void setWebhook(Boolean webhook) {
    this.webhook = webhook;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LogNotificationOpenApiVo logNotificationOpenApiVo = (LogNotificationOpenApiVo) o;
    return Objects.equals(this.key, logNotificationOpenApiVo.key) &&
        Objects.equals(this.shortMsg, logNotificationOpenApiVo.shortMsg) &&
        Objects.equals(this.alert, logNotificationOpenApiVo.alert) &&
        Objects.equals(this.event, logNotificationOpenApiVo.event) &&
        Objects.equals(this.email, logNotificationOpenApiVo.email) &&
        Objects.equals(this.webhook, logNotificationOpenApiVo.webhook);
  }

  @Override
  public int hashCode() {
    return Objects.hash(key, shortMsg, alert, event, email, webhook);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LogNotificationOpenApiVo {\n");
    
    sb.append("    key: ").append(toIndentedString(key)).append("\n");
    sb.append("    shortMsg: ").append(toIndentedString(shortMsg)).append("\n");
    sb.append("    alert: ").append(toIndentedString(alert)).append("\n");
    sb.append("    event: ").append(toIndentedString(event)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("    webhook: ").append(toIndentedString(webhook)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

